restic backup(1)

NAME

restic-diff - Show differences between two snapshots

SYNOPSIS

restic diff snapshot-ID snapshot-ID [flags]

DESCRIPTION

The "diff" command shows differences from the first to the second snapshot. The first characters in each line display what has happened to a particular file or directory:

•   The item was added

•   The item was removed U The metadata (access mode, timestamps, ...) for the item was updated M The file's content was modified T The type was changed, e.g. a file was made a symlink

OPTIONS

-h, --help[=false]
    help for diff

--metadata[=false]
    print changes in metadata

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    path to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

SEE ALSO

restic(1)